<?php
// +---------------------------------------------------------------------------+
// | commentindex.php                                                          |
// | This is a comment index page made especially for googlebots.              |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Lee Whitworth               -    lwhitworth@users.sourceforge.net         |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------|

//
// Make sure this points to your lib-common.php wherever you have this page
//
require_once('lib-common.php');

// Config Variables
$perpage = 75;  // how many lines per page

$display = COM_siteHeader('none');
$display .= '<h1>Comments Index</h1>';

$sql = "SELECT *,unix_timestamp(date) AS day FROM {$_TABLES['comments']} WHERE (date <= NOW())";

if (empty($page)) {
    // If no page sent then assume the first.
    $page = 1;
}

$offset = ($page -1) * $perpage;

$order = " ORDER BY date DESC LIMIT $offset, $perpage";

$recs = DB_query($sql . $order);
$nrows = DB_numRows($recs);

$display .= '<table width="100%"><tr><td><b>Date</b></td><td><b>Type</b></td><td><b>SID</b></td><td><b>Title</b></td></tr>';

for ($x = 0; $x < $nrows; $x++) {
    $A = DB_fetchArray($recs);
    $display .= '<tr><td>' . $A['date'] . '</td>';
    $display .= '<td>' . $A['type'] . '</td>';
	$display .= '<td>' . $A['sid'] . '</td>';
    $display .= '<td>';
    $display .= '<a href="' . $_CONF['site_url'] . '/comment.php?mode=display&amp;sid=' . $A['sid'] . '&amp;title=' . $A['title'] . '&amp;type=' . $A['type'] . '&amp;order=' . '&amp;pid=' . $A['pid'] . '">'
             . stripslashes($A['title']) . '</a>';
}
                            
$display .= '</table><p>';

$countsql = "SELECT count(*) as count FROM {$_TABLES['comments']} WHERE (date <= NOW())";

$data = DB_query($countsql);
$D = DB_fetchArray($data);
$num_pages = ceil($D['count'] / $perpage);

 // Print Google-like paging navigation
$base_url = $_CONF['site_url'] . '/commentindex.php';
$display .= COM_printPageNavigation($base_url,$page, $num_pages);
$display .= '</p>';

$display .= COM_siteFooter();
echo $display;
?>